Project

General

Profile

Tâche #14878

Distribution EOLE - Scénario #14728: Corriger les problèmes remontés sur Upgrade-Auto lors du sprint précédent

Le méta-paquet eole-amonecole-module n’est pas installé après un upgrade vers 2.5.1

Added by Daniel Dehennin over 4 years ago. Updated over 4 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
02/02/2016
Due date:
% Done:

100%

Estimated time:
1.00 h
Spent time:
Remaining (hours):
0.0

Description

Les commandes APT indiques une liste de paquets qui ne sont plus nécessaires car le méta-paquets qui tient la dépendance sur tout les autres n’est pas installé.

Associated revisions

Revision 060d1087 (diff)
Added by Daniel Dehennin over 4 years ago

Upgrade-Auto: métapaquets du mode conteneur

Les machines en mode conteneurs ne disposent pas du paquet
« eole-<module>-all » car ils sont installés par « gen_conteneurs ».

  • tmpl/eole.cfg (MetaPkgs): Prise en charge du mode conteneur.

Ref: #14878

History

#1 Updated by Daniel Dehennin over 4 years ago

  • Project changed from Distribution EOLE to eole-common
  • Assigned To set to Daniel Dehennin
  • % Done changed from 0 to 100
  • Remaining (hours) changed from 1.0 to 0.25

Paquet 2.4.2_1-21 en eole-2.4.2-proposed-updates.

#2 Updated by Scrum Master over 4 years ago

  • Status changed from Nouveau to En cours

#3 Updated by Scrum Master over 4 years ago

  • Status changed from En cours to Résolu

#4 Updated by Joël Cuissinat over 4 years ago

  • Status changed from Résolu to Fermé
  • Remaining (hours) changed from 0.25 to 0.0

Après Upgrade-Auto 2.4.2 -> 2.5.1 d'AmonEcole :

root@amonecole:~# dpkg -l eole-amonecole-module 
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom            Version      Architecture Description
+++-==============-============-============-=================================
ii  eole-amonecole 2.5.1-1      all          Module AmonEcole (metapackage)

root@amonecole:~# apt-get autoremove -s
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  eole-ajaxplorer
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Remv eole-ajaxplorer [4.2.3-eole5-2]

Also available in: Atom PDF